// Keehong Youn, 2018
// younkeehong@gmail.com

// 'uniform' throughout per pass
uniform mat4 transform;
uniform mat4 texMatrix;

// per vertex input
attribute vec4 position;
attribute vec2 texCoord;

// out to frag shader, interpolated
varying vec4 vertTexCoord;

void main() {
  gl_Position = transform * position;
  vertTexCoord = texMatrix * vec4(texCoord, 1.0, 1.0);
}
