// Keehong Youn, 2018
// younkeehong@gmail.com

float t = 0;
float dt = 0.01;

PShader my_shader;

void setup()
{
  size(512, 512, P3D); // P3D is must
  my_shader = loadShader("shader.frag", "shader.vert");
}

void draw()
{
  t += dt;

  background(0);
  
  shader(my_shader);
  my_shader.set("time", t); // set value of uniforms in shader
  noStroke();
  fill(255, 255, 0);
  rect(100, 100, 200, 200);
  
  // call resetShader to go back to p5's default shader
  resetShader();
  stroke(255);
  noFill();
  rect(100, 100, 200, 200);
}